__author__='sigilis.com'
__version__='0.1.4'

from pandac.PandaModules import loadPrcFile,loadPrcFileData,ConfigVariableString
#loadPrcFileData("", "fullscreen 1")
loadPrcFileData("", "window-title Sigilis")
loadPrcFile("config/User.prc")
import direct.directbase.DirectStart
from pandac.PandaModules import Filename
from pandac.PandaModules import WindowProperties


import os,sys

from libs.StartSplash import StartSplash
from libs.User import User
from libs.getVersions import getVersions

global startSplash

def startSplash(user,MYDIR):
	ss=StartSplash(user,MYDIR)	
    


				
				
wp = WindowProperties()
#wp.setTitle('Sigilis')
wp.setSize(int(ConfigVariableString("screenx").getValue()),int(ConfigVariableString("screeny").getValue()))
base.win.requestProperties(wp)	


# Figure out what directory this program is in.
MYDIR=os.path.abspath(sys.path[0])
MYDIRP=Filename.fromOsSpecific(MYDIR).getFullpath()
USERDATA= {	'username':ConfigVariableString("username").getValue(),
		'pwd':ConfigVariableString("pwd").getValue(),
		'modelType':ConfigVariableString("modelType").getValue(),
		'remoteURL':ConfigVariableString("remoteURL").getValue(),
		'sector':int(ConfigVariableString("sector").getValue()),
		'posX':float(ConfigVariableString("posX").getValue()),
		'posY':float(ConfigVariableString("posY").getValue()),
		'posZ':ConfigVariableString("posZ").getValue(),
		'localIP':ConfigVariableString("localIP").getValue(),
		'widescreen':ConfigVariableString("widescreen").getValue()
		
	}	
if USERDATA['posZ']=='':	
	USERDATA['posZ']=None
	
#render.setScale(3)	


getVersions(MYDIR)
me=User(USERDATA,MYDIR)
startSplash(me,MYDIR)


#print 'maximum texture stages',base.win.getGsg().getMaxTextureStages() 
	
run()	                                                

