__author__='sigilis.com'
__version__='0.1.3'
from pandac.PandaModules import TransformState,Vec3
from modelclasses.Road import Road
from modelclasses.Road2 import Road2


road = loader.loadTexture('textures/roads/road.png')
road.setWrapU(Texture.WMClamp)
road.setWrapV(Texture.WMClamp)

# runs east-west at 0
roadEW=TextureStage('Central East-West Highway')
roadEW.setSort(2)
roadEW.setMode(TextureStage.MDecal)
self.ground.setTexGen( roadEW, TexGenAttrib.MWorldPosition )
self.ground.setTexTransform(roadEW, TransformState.makePos(Vec3(0,.5,0)))
self.ground.setTexScale( roadEW, .000001, .02 )
self.ground.setTexture(roadEW,road)
Road({'x':60375, 'y':-19,'z':21232,'z2':21232,
	'style':'basic','tile':'textures/roads/road2a.png',
	'tile_remote':False,'width':38,'length':18000,'heading':90,'owner':'sigilis'})
	
# runs north-south at 0
roadNS=TextureStage('Central North-South Highway')
roadNS.setSort(3)
roadNS.setMode(TextureStage.MDecal)
self.ground.setTexGen( roadNS, TexGenAttrib.MWorldPosition )
self.ground.setTexTransform(roadNS, TransformState.makePos(Vec3(0,.5,0)))
self.ground.setTexScale( roadNS, .02, .000001 )
self.ground.setTexRotate(roadNS, 90);
self.ground.setTexture(roadNS,road)
Road({'x':-19, 'y':-52505,'z':21227,'z2':21227,
	'style':'basic','tile':'textures/roads/road2a.png',
	'tile_remote':False,'width':38,'length':38000,'heading':0,'owner':'sigilis'})


#runs north-south at West 220000(-220000)
roadNSW=TextureStage('NS-West Highway')
roadNSW.setSort(4)
roadNSW.setMode(TextureStage.MDecal)
self.ground.setTexGen( roadNSW, TexGenAttrib.MWorldPosition )
self.ground.setTexTransform(roadNSW, TransformState.makePos(Vec3(0,4400.5,0)))
self.ground.setTexScale( roadNSW, .02, .000001 )
self.ground.setTexRotate(roadNSW, 90)
self.ground.setTexture(roadNSW,road)
Road({'x':-220019, 'y':-237740,'z':21227,'z2':21227,
	'style':'basic','tile':'textures/roads/road2a.png',
	'tile_remote':False,'width':38,'length':29500,'heading':0,'owner':'sigilis'})

#runs north-south at West 342000
WCoast=TextureStage('West Coast Highway')
WCoast.setSort(5)
WCoast.setMode(TextureStage.MDecal)
self.ground.setTexGen( WCoast, TexGenAttrib.MWorldPosition )
self.ground.setTexTransform(WCoast, TransformState.makePos(Vec3(0,6840.5,0)))
self.ground.setTexScale( WCoast, .02, .000001 )
self.ground.setTexRotate(WCoast, 90)
self.ground.setTexture(WCoast,road)


#good	# lowered .1
r1A={	'x':17.9, 'y':111900,'z':23724.6,
	'style':'basic','model':'models/road.egg',
	'model_remote':False,'width':50,'length':11982,'heading':0,'pitch':1,'roll':-0.05,'owner':'sigilis'}
r1B={	'x':11999, 'y':111899.8,'z':23735.1,
	'style':'basic','model':'models/road.egg',
	'model_remote':False,'width':50,'length':4001,'heading':0,'pitch':1,'roll':0,'owner':'sigilis'}
r1C={	'x':16000, 'y':111899.8,'z':23735.1,                                       
	'style':'basic','model':'models/road.egg',
	'model_remote':False,'width':50,'length':16000,'heading':0,'pitch':1,'roll':0.35,'owner':'sigilis'}
r1D={	'x':32000, 'y':111901.71,'z':23637.7,
	'style':'basic','model':'models/road.egg',
	'model_remote':False,'width':50,'length':16151,'heading':0,'pitch':1,'roll':-0.03,'owner':'sigilis'}
r1E={	'x':48150, 'y':111901.71,'z':23646.1,
	'style':'basic','model':'models/road.egg',
	'model_remote':False,'width':50,'length':15851,'heading':0,'pitch':1,'roll':0.35,'owner':'sigilis'}
r1F={	'x':63999, 'y':111903.36,'z':23549.29,
	'style':'basic','model':'models/road.egg',
	'model_remote':False,'width':50,'length':16001,'heading':0,'pitch':1,'roll':-1.22,'owner':'sigilis'}
r1G={	'x':79995, 'y':111897.4,'z':23889.9,
	'style':'basic','model':'models/road.egg',
	'model_remote':False,'width':50,'length':8105,'heading':0,'pitch':1,'roll':-.05,'owner':'sigilis'}
r1H={	'x':88100, 'y':111897.28,'z':23896.967,
	'style':'basic','model':'models/road.egg',
	'model_remote':False,'width':50,'length':9000,'heading':0,'pitch':1,'roll':0.04,'owner':'sigilis'}
r1I={	'x':97100, 'y':111897.39,'z':23890.685,
	'style':'basic','model':'models/road.egg',
	'model_remote':False,'width':50,'length':18001,'heading':0,'pitch':1,'roll':-0.04,'owner':'sigilis'}
r1J={	'x':115101, 'y':111897.18,'z':23903.25,
	'style':'basic','model':'models/road.egg',
	'model_remote':False,'width':50,'length':4001,'heading':0,'pitch':1,'roll':0,'owner':'sigilis'}	
r1K={	'x':119102, 'y':111897.18,'z':23903.25,
	'style':'basic','model':'models/road.egg',
	'model_remote':False,'width':50,'length':2001,'heading':0,'pitch':1,'roll':-0.1,'owner':'sigilis'}
r1L={	'x':121102, 'y':111897.125,'z':23906.79,
	'style':'basic','model':'models/road.egg',
	'model_remote':False,'width':50,'length':6900,'heading':0,'pitch':1,'roll':0.2,'owner':'sigilis'}
	
	
r1nxt={	'x':127010, 'y':111897.125,'z':23896.79,
	'style':'basic','model':'models/road.egg',
	'model_remote':False,'width':50,'length':6900,'heading':0,'pitch':1,'roll':0.4,'owner':'sigilis'}
		
road1=[	Road2(r1A),Road2(r1B),Road2(r1C),Road2(r1D),Road2(r1E),
	Road2(r1F),Road2(r1G),Road2(r1H),Road2(r1I),Road2(r1J),
	Road2(r1K),Road2(r1L),Road2(r1nxt)]	



