from __future__ import with_statement
from cStringIO import StringIO
from optparse import OptionParser

__author__='sigilis.com'
__version__='0.1'


def main():
	parser = OptionParser()
	parser.add_option("-f", "--file", dest="filein",
                  help="open DirectX FILE", metavar="FILE")
	parser.add_option("-o", "--output", dest="fileout",
                  help="output Panda3d egg FILE", metavar="FILE")
	(options, args) = parser.parse_args()
	if options.filein != None and options.fileout != None:
		parsefile(options.filein,options.fileout)

def usage():
	print 'Usage:', "Xconverter -f path/to/file"

def parsefile(input,output):
	print 'Parsing File:', input, output
	try:		
		cback=open(output,'w')
		holdText=[]
		outText=StringIO()
		meshline=normline=textcoordline=matlistline=0
		texturelines=[]
		with open(input) as f:
			count=0
			for line in f:
				holdText.append(line)
				if line.strip()!= '': 
					if 'MeshNormals' in line.strip():
						normline=count
					elif 'MeshTextureCoords' in line.strip():
						textcoordline=count
					elif 'MeshMaterialList' in line.strip():
						matlistline=count
					elif 'Material' in line.strip():
						texturelines.append(count)
					elif 'Mesh' in line.strip():
						meshparts=line.strip().split(' ')
						GroupName=meshparts[1]
						meshline=count
				count=count+1
		print 'MeshNormals',normline
		print 'MeshTextureCoords',textcoordline
		print 'MeshMaterialList',matlistline
		print 'Mesh',meshline
		print 'Material',texturelines		
		print 'GROUP NAME',GroupName		
		outText.write("<CoordinateSystem> { Z-Up }\n\n")
		inParts=input.split('/')
		outText.write('<Comment> { "'+inParts[len(inParts)-1]+'"}'+"\n\n")
		materials=[]
		materialcount=textcount=totalmats=0
		for tl in texturelines:
			material={}
			material['isTexture']=False
			endline=tl
			closeCount=0
			for i in range(tl+1,count):
				if 'TextureFilename' in holdText[i]:
					material['isTexture']=True
					stripname=holdText[i+1].strip().strip('";')
					nameParts=stripname.split('\\')
					material['texture']='../textures/misc/'+nameParts[len(nameParts)-1]
				elif '}' in holdText[i]: 	
					if material['isTexture']==False:
						endline=i
						break
					else:
						closeCount=closeCount+1
						if closeCount==2:
							endline=i
							break
			material['rgba']=holdText[tl+1].strip().strip(';;').replace(';',',')

			if material['isTexture']==True:	
				textcount=textcount+1	
				material['name']='Texture'+str(textcount)										
			else:
				materialcount=materialcount+1
				material['name']='Material'+str(materialcount)	
			totalmats=totalmats+1	
			material['count']=totalmats
			materials.append(material)
		print materials		
		vertices=[]	
		polys=[]
		endcount=0
		for i in range(meshline+2,count):
			if ';;' in holdText[i]:
				endcount=
	except:
		print 'could not open file'	

	
if __name__ == "__main__":
    main()
