__author__='sigilis.com'
__version__='0.1.3'
from pandac.PandaModules import BitMask32

from SigilisModel import SigilisModel

class Road2(SigilisModel):
	def __init__(self,data,user=None):
		SigilisModel.__init__(self,user=user,data=data,modeltype='Road2')
		if self.good==True:	
			self.model=data['model']
			self.model_remote=int(data['model_remote'])
			self.heading=float(data['heading'])
			self.pitch=float(data['pitch'])
			self.roll=float(data['roll'])
			roadModel=self.nPath
			roadModel=loader.loadModel(self.model)	
			roadModel.node().setIntoCollideMask(BitMask32.bit(20))
			roadModel.reparentTo(render.find('Objects/Road2s'))                     
			roadModel.setPos(self.x,self.y,self.z)
			roadModel.setScale(self.length,self.width,1)
			roadModel.setH(self.heading)
			roadModel.setP(self.pitch)
			roadModel.setR(self.roll)
			#roadModel.ls()
		else:
			del(self)
	
