__author__='sigilis.com'
__version__='0.1.3'
from pandac.PandaModules import BitMask32

from SigilisModel import SigilisModel

DEFAULTTILE='textures/floors/checkerboard.png'

class Square(SigilisModel):
	def __init__(self,data,user=None):
		SigilisModel.__init__(self,user=user,data=data,modeltype='Square')
		if self.good==True:
			self.size=float(data['size'])
			self.heading=float(data['heading'])
			self.pitch=float(data['pitch'])
			self.roll=float(data['roll'])
			sq=loader.loadModel('models/square')	
			sq.node().setIntoCollideMask(BitMask32.bit(20))
			sq.setScale(self.size)
			sq.reparentTo(render)           
			sq.setPos(self.x,self.y,self.z) 
			sq.setHpr(self.heading,self.pitch,self.roll)
			sqText=loader.loadTexture(self.tile)
			sq.setTexture(sqText)
			sq.setTwoSided(True)
		else:
			del(self)
		
	def getVarSpec(self):
		return {'x':'float','y':'float','z':'float','heading':'float','pitch':'float','roll':'float',
			'tile':'str','tile_remote':'int','tile_scale':'float','size':'float'}		
